/* Program object installer template. Based on:                         */
/* FOLDER.CMD: Sample code using REXXUTIL's SysCreateObject function    */
/* Builds a folder on the DeskTop and places some program objects in it.*/ 
/* Mike Lamb: MIKELAMB/KGNVMC                                           */
 
/* Load REXXUTIL */
call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs
 
/* The basic call is listed next.                                          */
/* result = SysCreateObject(classname, title, location, setup)             */
 
call SysCls
Say '';Say 'HT editor - ArcaOS - OS/2 edition'
Say '';Say 'Installing HT E...'
 
Say '';Say 'Press Y to add HT E Folder to Desktop...';Say '';
parse upper value SysGetKey('NOECHO') with key
If key<>'Y' Then Exit

/* Find HT.EXE directory (current directory) */
CurDir = directory()

SetupString = 'PROGTYPE=WINDOWABLEVIO;EXENAME=' || CurDir || '\ht.EXE;OBJECTID=<HTE_PROG>;ICONFILE=' || CurDir || 'hte.ico;'

/* All of the routines pass parameters to a subroutine to perform the call */
classname='WPFolder'
title='HT Editor'
location='<WP_DESKTOP>'
setup='OBJECTID=<HTE_FOLDER>;'
Call BldObj
 
Say '';Say 'Press ENTER to add program objects and documentation...'
key=SysGetKey()
 
classname='WPProgram'
title='HTE'
location='<HTE_FOLDER>'
setup=SetupString
Call BldObj

 

Say '';Say 'Installation complete. To un-install, simply delete folder with all its contents.'
 
Exit
 
/* Build Object */
BldObj:
call charout ,'Building: 'title
 
result = SysCreateObject(classname, title, location, setup)
 
If result=1 Then call charout ,'...   Object created!'
Else             call charout ,'...   Not created! Return code='result
 
Say '';
Return